# \Slimdown

Modified by Starbeamrainbowlabs (starbeamrainbowlabs)

Changed bold to use single asterisks Changed italics to use single underscores Added one to add the heading levels (no

# tags allowed) Added wiki style internal link parsing Added wiki style internal link parsing with display text Added image support

## Summary

Methods
Properties
Constants
add_rule()
render()
$rules
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  modules/parser-default-old.php
Package
  Default
Class hierarchy
  \Slimdown

## Tags

None found

## Properties

### $rules

    $rules :

#### Type

#

## Tags

None found

## Methods

### add_rule()

    add_rule(  $regex,   $replacement)

Add a rule.

#### Parameters

| $regex |
| $replacement |

#

static

## Tags

None found

### render()

    render(  $text)

Render some Markdown into HTML.

#### Parameters

| $text |

#

static

## Tags

None found

### parser-default-old.php